Package fr.gouv.vitam.antivirus.client

# Class VitamApiClient

java.lang.Object
fr.gouv.vitam.antivirus.client.invoker.JavaTimeFormatter
fr.gouv.vitam.antivirus.client.invoker.ApiClient
fr.gouv.vitam.antivirus.client.VitamApiClient

public class VitamApiClient extends ApiClient

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamApiClient()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `invokeAPI(String path, String method, List<Pair> queryParams, Object body, Map<String,String> headerParams, Map<String,String> cookieParams, Map<String,Object> formParams, String accept, String contentType, String[] authNames, jakarta.ws.rs.core.GenericType<T> returnType)`
  Invoke API by sending HTTP request with the given options.

  ### Methods inherited from class fr.gouv.vitam.antivirus.client.invoker.ApiClient

  `addDefaultHeader, deserialize, downloadFileFromResponse, escapeString, formatDate, getAuthentication, getAuthentications, getBasePath, getDateFormat, getHttpClient, getJSON, getResponseHeaders, getStatusCode, getTempFolderPath, isDebugging, isJsonMime, parameterToPairs, parameterToString, parseDate, prepareDownloadFile, selectHeaderAccept, selectHeaderContentType, serialize, setApiKey, setApiKeyPrefix, setBasePath, setDateFormat, setDebugging, setHttpClient, setPassword, setTempFolderPath, setUserAgent, setUsername`

  ### Methods inherited from class fr.gouv.vitam.antivirus.client.invoker.JavaTimeFormatter

  `formatOffsetDateTime, getOffsetDateTimeFormatter, parseOffsetDateTime, setOffsetDateTimeFormatter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VitamApiClient

    public VitamApiClient()

- ## Method Details

  - ### invokeAPI

    public <T> T invokeAPI(String path, String method, List<Pair> queryParams, Object body, Map<String,String> headerParams, Map<String,String> cookieParams, Map<String,Object> formParams, String accept, String contentType, String[] authNames, jakarta.ws.rs.core.GenericType<T> returnType) throws ApiException
    Description copied from class: `ApiClient`
    Invoke API by sending HTTP request with the given options.
    Overrides:
      `invokeAPI` in class `ApiClient`
    Type Parameters:
      `T` - a Java type parameter
    Parameters:
      `path` - The sub-path of the HTTP URL
      `method` - The request method, one of "GET", "POST", "PUT", "HEAD" and "DELETE"
      `queryParams` - The query parameters
      `body` - The request body object
      `headerParams` - The header parameters
      `cookieParams` - The cookie parameters
      `formParams` - The form parameters
      `accept` - The request's Accept header
      `contentType` - The request's Content-Type header
      `authNames` - The authentications to apply
      `returnType` - The return type into which to deserialize the response
    Returns:
      The response body in type of string
    Throws:
      `ApiException` - if the invocation failed